v3.0: Use debian:jessie instead of ruby:2.1
[scripts.git] / docker / ruby / Dockerfile
1 FROM debian:jessie
2
3 MAINTAINER LEAP Encryption Access Project <info@leap.se>
4 LABEL Description="Ruby 2.1 build tools to build leap_cli etc" Vendor="LEAP" Version="3.x"
5
6 # install leap_cli prerequisites, see https://0xacab.org/leap/leap_cli
7 # and tools needed for ci (moreutils and expect)
8 RUN sed -i 's/httpredir/deb/' /etc/apt/sources.list
9 RUN apt-get update \
10   && apt-get install -y --no-install-recommends \
11     git \
12     ruby \
13     ruby-dev \
14     rsync \
15     openssh-client \
16     openssl \
17     rake \
18     gcc \
19     make \
20     sudo \
21     zlib1g-dev \
22     moreutils \
23     tcl \
24     expect \
25     locales \
26       && apt-get clean \
27       && rm -rf /var/lib/apt/lists/*
28
29 RUN localedef -i en_US -c -f UTF-8 -A /usr/share/locale/locale.alias en_US.UTF-8
30 ENV LANG en_US.utf8
31
32 RUN echo '---\n:sources:\n  - https://rubygems.org/\ninstall: --no-document\nupdate: --no-document\n' > /etc/gemrc
33
34 RUN gem install bundler